Update Project

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API Library Examples

from fulcrum import Fulcrum
fulcrum = Fulcrum('{token}')

obj = {
  "project": {
    "name": "Pinellas County, FL",
    "description": "For records in Pinellas County, FL"
  }
}

project = fulcrum.projects.update('{id}', obj)
print(project['project']['id'] + ' has been updated!')
import { FulcrumClient, FulcrumRegion } from '@fulcrumapp/fulcrum-js';
const client = new FulcrumClient({
  apiKey: '{token}',
  // Use the region configured for your Fulcrum account.
  region: FulcrumRegion.US
});

const obj = {
  "name": "Pinellas County, FL",
  "description": "For records in Pinellas County, FL"
};

client.projects.update('{id}', { project: obj })
  .then((response) => {
    console.log(response.data);
  })
  .catch((error) => {
    console.log(error.message);
  });
project = {
  "name"=>"Pinellas County, FL",
  "description"=>"For records in Pinellas County, FL"
}

response = client.projects.update('{id}', project)

puts response['id'] + ' has been updated!'
Path Params
string
required

Project ID

Query Params
boolean
Defaults to false

Set to true to include project_manager_id, group_ids, and member_ids in project responses.

Body Params
project
object
required
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json